Show / Hide Table of Contents

# Class StaticAddressAttribute

##### Inheritance

System.Object
StaticAddressAttribute

###### Namespace: FFXIVClientStructs.Interop.Attributes

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public class StaticAddressAttribute : Attribute

### Constructors

| Improve this Doc View Source

#### StaticAddressAttribute(String, Int32, Boolean)

##### Declaration

    public StaticAddressAttribute(string signature, int offset, bool isPointer = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | signature |
System.Int32 | offset |
System.Boolean | isPointer |

### Properties

| Improve this Doc View Source

#### IsPointer

##### Declaration

    public bool IsPointer { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Offset

##### Declaration

    public int Offset { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Signature

##### Declaration

    public string Signature { get; }

##### Property Value

Type | Description
--- | ---
System.String |